Summary: An Atomix clone for Linux that uses the SDL.
Name: marbles
Version: 010307
Release: 1
Serial: 0
Copyright: GPL
Group: Amusements/Games
Source: %{name}-%{version}.tar.bz2
URL: http://lgames.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: SDL >= 1.1.4

%description
An Atomix clone game for Linux that uses the SDL.

%prep
%setup -q

%build
%configure
make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_localstatedir}/lib/games
mkdir -p %{buildroot}%{_prefix}/man/man6
mkdir -p %{buildroot}%{_mandir}/man6
%makeinstall inst_dir=%{buildroot}%{_datadir}/games/%{name} \
	prf_dir=%{buildroot}%{_localstatedir}/lib/games \
	mandir=%{buildroot}%{_mandir} \
	prefix=%{buildroot}%{_prefix}
mv %{buildroot}%{_prefix}/man/man6/* %{buildroot}%{_mandir}/man6
mkdir -p %{buildroot}%{_sysconfdir}/X11/applnk/Games
cat > %{buildroot}%{_sysconfdir}/X11/applnk/Games/%{name}.desktop << EOF
[Desktop Entry]
Name=Marbles
Comment=An Atomix clone for Linux
Exec=marbles
Icon=
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_sysconfdir}/X11/applnk/Games/%{name}.desktop
%attr(2551, root, games) %{_bindir}/%{name}
%{_datadir}/games/%{name}
%config(noreplace) %attr(664, games, games) %{_localstatedir}/lib/games/%{name}.prfs
%{_mandir}/man6/%{name}*

%changelog
* Thu Mar  8 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 010307.

* Tue Jan  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release for RedHat 7.0

